/*
 * $Id$
 * 
 * Created on 17.10.2005
 *
 * Written by Tobias Sager (tsa) in 2005
 * 
 * See LICENSE for more information about licensing and warranties.
 */
package ch.toe.famix;

import org.eclipse.jdt.core.dom.ASTVisitor;
import org.eclipse.jdt.core.dom.TypeDeclaration;

import patviz.javarsf.TypeParser;

public class TypeDeclarationASTVisitor extends ASTVisitor {
	
	public TypeDeclaration found = null;
	private String name;
	
	public TypeDeclarationASTVisitor(String name) {
		this.name = name;
	}
	
	public boolean visit(TypeDeclaration type) {
		if (TypeParser.getFullTypeName(type).equals(name))
			found = type;
		return super.visit(type);
	}
}
