/*
 * $Id$
 * 
 * Created on 17.10.2005
 *
 * Written by Tobias Sager (tsa) in 2005
 * 
 * See LICENSE for more information about licensing and warranties.
 */
package ch.toe.famix;

import org.eclipse.jdt.core.dom.ASTVisitor;
import org.eclipse.jdt.core.dom.MethodDeclaration;

import patviz.javarsf.TypeParser;

public class MethodDeclarationASTVisitor extends ASTVisitor {
	
	public MethodDeclaration found = null;
	private String name;
	
	public MethodDeclarationASTVisitor(String name) {
		this.name = name;
	}
	
	public boolean visit(MethodDeclaration method) {
		if (TypeParser.getFullMethodName(method).equals(name))
			found = method;
		return super.visit(method);
	}
}
