/*
 * $Id$
 * 
 * Created on 27.09.2005
 *
 * Written by Tobias Sager (tsa) in 2005
 * 
 * See LICENSE for more information about licensing and warranties.
 */
package ch.toe.famix;

public interface Visitor {

	/**
	 * This is a general dispatch method.
	 * 
	 * @param o the object to visit
	 */
	public void visit(Object o);
	
	/**
	 * This is a general dispatch method.
	 * 
	 * @param o the object to visit
	 */
	public void endVisit(Object o);
	
/**
	// visit methods
	public void visitFAMIXInstance(FAMIXInstance o);

	public void visitAccess(Access o);
	public void visitAccessArgument(AccessArgument o);
	public void visitArgument(Argument o);
	public void visitAssociation(Association o);
	public void visitAttribute(Attribute o);
	public void visitBehaivouralEntity(BehaviouralEntity o);
	public void visitClass(ch.toe.famix.model.Class o);
	public void visitContext(Context o);
	public void visitEntity(Entity o);
	public void visitExptressionArgument(ExpressionArgument o);
	public void visitFormalParameter(FormalParameter o);
	public void visitFunction(Function o);
	public void visitGlobalVariable(GlobalVariable o);
	public void visitImplicitVariable(ImplicitVariable o);
	public void visitInheritanceDefinition(InheritanceDefinition o);
	public void visitInvocation(Invocation o);
	public void visitLocalVariable(LocalVariable o);
	public void visitMethod(Method o);
	public void visitModel(Model o);
	public void visitObject(ch.toe.famix.model.Object o);
	public void visitPackage(ch.toe.famix.model.Package o);
	public void visitPropery(Property o);
	public void visitSourceAnchor(SourceAnchor o);
	public void visitStructuralEntity(StructuralEntity o);
	public void visitTypeCast(TypeCast o);

	// end visit methods
	public void endVisitFAMIXInstance(FAMIXInstance o);

	public void endVisitAccess(Access o);
	public void endVisitAccessArgument(AccessArgument o);
	public void endVisitArgument(Argument o);
	public void endVisitAssociation(Association o);
	public void endVisitAttribute(Attribute o);
	public void endVisitBehaivouralEntity(BehaviouralEntity o);
	public void endVisitClass(ch.toe.famix.model.Class o);
	public void endVisitContext(Context o);
	public void endVisitEntity(Entity o);
	public void endVisitExptressionArgument(ExpressionArgument o);
	public void endVisitFormalParameter(FormalParameter o);
	public void endVisitFunction(Function o);
	public void endVisitGlobalVariable(GlobalVariable o);
	public void endVisitImplicitVariable(ImplicitVariable o);
	public void endVisitInheritanceDefinition(InheritanceDefinition o);
	public void endVisitInvocation(Invocation o);
	public void endVisitLocalVariable(LocalVariable o);
	public void endVisitMethod(Method o);
	public void endVisitModel(Model o);
	public void endVisitObject(ch.toe.famix.model.Object o);
	public void endVisitPackage(ch.toe.famix.model.Package o);
	public void endVisitPropery(Property o);
	public void endVisitSourceAnchor(SourceAnchor o);
	public void endVisitStructuralEntity(StructuralEntity o);
	public void endVisitTypeCast(TypeCast o);
*/	
}
