/*
 * $Id$
 * 
 * Created on 27.07.2005
 *
 * Written by Tobias Sager (tsa) in 2005
 * 
 * See LICENSE for more information about licensing and warranties.
 */
package ch.toe.famix.model;

/**
 * See FAMIX specification for more information about this object.
 * 
 * @author tsa
 */
public class ExpressionArgument extends Argument {

	/**
	 * @param position
	 * @param isReceiver
	 */
	public ExpressionArgument(Integer position, boolean isReceiver) {
		super(position, isReceiver);
	}

	/**
	 * Return my name
	 * 
	 * @return name of object
	 */
	public String toString() {
		return "ExpressionArgument("+super.getPosition()+",isReceiver:"+super.isReceiver()+")";
	}
}
