package ch.unibern.graphmatching2;

public class Edge {
	Vertex m_sourceVertex, m_destVertex;

	int m_cost;

	boolean m_visited;

	public Edge(Vertex sourceVertex, Vertex destVertex) {
		m_sourceVertex = sourceVertex;
		m_destVertex = destVertex;
		m_cost = 0;
		m_visited = false;
	}

	public Vertex getDestVertex() {
		return m_destVertex;
	}

	public Vertex getSourceVertex() {
		return m_sourceVertex;
	}

	public void setDestVertex(Vertex dest) {
		m_destVertex = dest;
	}

	public void setSourceVertex(Vertex source) {
		m_sourceVertex = source;
	}

	public String printEdge() {
		String result = m_sourceVertex.getLabel().toString();
		result += " --> " + m_destVertex.getLabel().toString();
		return result;
	}
}
