package ch.unibern.graphmatching2;

import java.util.*;

public class Vertex {
	Object m_label;

	Vector m_edgeList;

	boolean m_visited;

	public Vertex(Object label) {
		m_label = label;
		m_visited = false;
		m_edgeList = new Vector(10, 10);
	}

	public void addEdge(Vertex destVertex) {
		Edge newEdge = new Edge(this, destVertex);
		m_edgeList.add(newEdge);
	}

	public Object getLabel() {
		return m_label;
	}

	public String printEdgeList(Vector vertexList) {
		String edgeString = "";
		Enumeration edgeList = m_edgeList.elements();
		while (edgeList.hasMoreElements()) {
			Vertex dest = ((Edge) edgeList.nextElement()).getDestVertex();
			edgeString += dest.getLabel().toString() + "["
					+ vertexList.indexOf(dest) + "]";
			if (edgeList.hasMoreElements()) {
				edgeString += ", ";
			}
		}
		return edgeString;
	}

	public String printEdgeList() {
		String edgeString = "";
		Enumeration edgeList = m_edgeList.elements();
		while (edgeList.hasMoreElements()) {
			Vertex dest = ((Edge) edgeList.nextElement()).getDestVertex();
			edgeString += dest.getLabel().toString();
			if (edgeList.hasMoreElements()) {
				edgeString += ", ";
			}
		}
		return edgeString;
	}

	public boolean getVisited() {
		return m_visited;
	}

	public void setVisited(boolean visited) {
		m_visited = visited;
	}

	public Vector getEdgeList() {
		return m_edgeList;
	}
}
