package ch.unizh.ifi.isparql;
 
/**
 * Superclass of most exceptions
 * arising from iSPARQL Framework
 *
 * @author		Markus Stocker
 * @version 	$Id: FrameworkException.java,v 1.1 2006-11-20 18:48:54 ms Exp $
 */

public class FrameworkException extends RuntimeException {

	private static final long serialVersionUID = 0;
	
	/**
	 * Constructor for FrameworkException.
	 * @param message
	 */
	public FrameworkException( String message ) {
		super(message);
	}
}/* 
 * (c) Copyright 2007 University of Zurich, Switzerland
 * All rights reserved.
 *
 * This file is licensed under a GNU Lesser General Public License.
 *
 * For more information about license terms see LICENSE.txt that comes with
 * the main iSPARQL-OptARQ distribution or visit the GNU website at
 * http://www.gnu.org/licenses/lgpl.html
 *
 */
