package ch.unizh.ifi.isparql.indexing.api;

/**
 * Indexer interface. It defines the interface which must be 
 * implemented by each indexer. The interface consists of
 * a single method.
 * 
 * @author		Markus Stocker
 * @version 	$Id: IIndexer.java,v 1.1 2006-11-20 18:48:54 ms Exp $
 */

public interface IIndexer 
{	
	/** To implement by specific indexer */
	public abstract void run();
}
/* 
 * (c) Copyright 2007 University of Zurich, Switzerland
 * All rights reserved.
 *
 * This file is licensed under a GNU Lesser General Public License.
 *
 * For more information about license terms see LICENSE.txt that comes with
 * the main iSPARQL-OptARQ distribution or visit the GNU website at
 * http://www.gnu.org/licenses/lgpl.html
 *
 */
