package ch.unizh.ifi.isparql.tests;

import junit.framework.Test;
import junit.framework.TestSuite;
import ch.unizh.ifi.isparql.tests.query.QueryTestSuite;
import ch.unizh.ifi.isparql.tests.optimizer.OptimizerTestSuite;

/**
 * Complete test suite for iSPARQL
 *
 * @author		Markus Stocker
 * @version 	$Id: CompleteTestSuite.java,v 1.3 2006-11-22 12:32:52 ms Exp $
 */

public class CompleteTestSuite 
{
	public static Test suite() 
	{
		TestSuite suite = new TestSuite("Complete test suite for iSPARQL");
		//$JUnit-BEGIN$
		suite.addTest(QueryTestSuite.suite());
		suite.addTest(OptimizerTestSuite.suite());
		//$JUnit-END$
		return suite;
	}

}

/* 
 * (c) Copyright 2007 University of Zurich, Switzerland
 * All rights reserved.
 *
 * This file is licensed under a GNU Lesser General Public License.
 *
 * For more information about license terms see LICENSE.txt that comes with
 * the main iSPARQL-OptARQ distribution or visit the GNU website at
 * http://www.gnu.org/licenses/lgpl.html
 *
 */
