package ch.unizh.ifi.isparql.tests.query;

import junit.framework.Test;
import junit.framework.TestSuite;
import ch.unizh.ifi.isparql.tests.query.property.PropertyTestSuite;
import ch.unizh.ifi.isparql.tests.query.strategy.StrategyTestSuite;
import ch.unizh.ifi.isparql.tests.query.aggregator.AggregatorTestSuite;

/**
 * Test suite for isparql.query
 * 
 * @author Markus Stocker
 * @version $Id: QueryTestSuite.java,v 1.4 2006-11-22 12:32:52 ms Exp $
 */

public class QueryTestSuite {
	public static Test suite() {
		TestSuite suite = new TestSuite("Test suite for isparql.query");
		// $JUnit-BEGIN$
		suite.addTest(PropertyTestSuite.suite());
		suite.addTest(StrategyTestSuite.suite());
		suite.addTest(AggregatorTestSuite.suite());
		// $JUnit-END$
		return suite;
	}

}
/* 
 * (c) Copyright 2007 University of Zurich, Switzerland
 * All rights reserved.
 *
 * This file is licensed under a GNU Lesser General Public License.
 *
 * For more information about license terms see LICENSE.txt that comes with
 * the main iSPARQL-OptARQ distribution or visit the GNU website at
 * http://www.gnu.org/licenses/lgpl.html
 *
 */
