package ch.unizh.ifi.isparql.tests.query.aggregator;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Test suite for isparql.query.aggregator
 * 
 * @author Markus Stocker
 * @version $Id: AggregatorTestSuite.java,v 1.2 2006-11-22 12:32:52 ms Exp $
 */

public class AggregatorTestSuite {
	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test suite for isparql.query.aggregator");
		// $JUnit-BEGIN$
		suite.addTestSuite(AvgAggregatorTest.class);
		suite.addTestSuite(MaxAggregatorTest.class);
		suite.addTestSuite(MinAggregatorTest.class);
		suite.addTestSuite(SumAggregatorTest.class);
		suite.addTestSuite(MedianAggregatorTest.class);
		suite.addTestSuite(GeometricAggregatorTest.class);
		suite.addTestSuite(HarmonicAggregatorTest.class);
		// $JUnit-END$
		return suite;
	}
}
/* 
 * (c) Copyright 2007 University of Zurich, Switzerland
 * All rights reserved.
 *
 * This file is licensed under a GNU Lesser General Public License.
 *
 * For more information about license terms see LICENSE.txt that comes with
 * the main iSPARQL-OptARQ distribution or visit the GNU website at
 * http://www.gnu.org/licenses/lgpl.html
 *
 */
