package ch.unizh.ifi.isparql.tests.query.property;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Test suite for isparql.query.property
 *
 * @author		Markus Stocker
 * @version 	$Id: PropertyTestSuite.java,v 1.3 2006-11-22 12:32:52 ms Exp $
 */

public class PropertyTestSuite 
{
	public static Test suite() 
	{
		TestSuite suite = new TestSuite("Test suite for isparql.query.property");
		//$JUnit-BEGIN$
		suite.addTestSuite(AggregatorTest.class);
		suite.addTestSuite(ArgumentsTestA.class);
		suite.addTestSuite(ArgumentsTestB.class);
		suite.addTestSuite(ArgumentsTestC.class);
		suite.addTestSuite(ArgumentsTestD.class);
		suite.addTestSuite(BetweenTestA.class);
		suite.addTestSuite(BetweenTestB.class);
		suite.addTestSuite(BetweenTestC.class);
		suite.addTestSuite(IgnorecaseTestA.class);
		suite.addTestSuite(IgnorecaseTestB.class);
		suite.addTestSuite(IgnorecaseTestC.class);
		suite.addTestSuite(ThresholdTestA.class);
		suite.addTestSuite(ThresholdTestB.class);
		suite.addTestSuite(ThresholdTestC.class);
		suite.addTestSuite(ScoresTestA.class);
		suite.addTestSuite(ScoresTestB.class);
		suite.addTestSuite(ScoresTestC.class);
		suite.addTestSuite(ScoresTestD.class);
		suite.addTestSuite(ScoresAndWeightsTestA.class);
		suite.addTestSuite(ScoresAndWeightsTestB.class);
		suite.addTestSuite(ScoresAndWeightsTestC.class);
		//$JUnit-END$
		return suite;
	}

}

/* 
 * (c) Copyright 2007 University of Zurich, Switzerland
 * All rights reserved.
 *
 * This file is licensed under a GNU Lesser General Public License.
 *
 * For more information about license terms see LICENSE.txt that comes with
 * the main iSPARQL-OptARQ distribution or visit the GNU website at
 * http://www.gnu.org/licenses/lgpl.html
 *
 */
